Content
Get a content
GET
/
contents
/
{id}
Get a content
curl --request GET \
--url https://api.reelevant.com/v2/contents/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reelevant.com/v2/contents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reelevant.com/v2/contents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"message": "<string>",
"data": {
"name": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hierarchy": [
"<string>"
],
"archivedAt": "2023-11-07T05:31:56Z",
"hidden": true,
"companyId": "<string>",
"resourceGroupIds": [
"<string>"
],
"versions": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"template": {
"components": {},
"dependencies": {},
"pages": [
{
"id": "<string>",
"width": 123,
"height": 123,
"background": {
"r": 123,
"g": 123,
"b": 123,
"a": 123
},
"duration": 123,
"components": [
{
"id": "<string>",
"x": 123,
"y": 123,
"skewX": 123,
"skewY": 123,
"width": 123,
"height": 123,
"rotation": 123
}
],
"orderTree": {
"root": [
"<string>"
],
"elements": {}
},
"url": [
{
"type": "static",
"value": "<string>"
}
],
"title": [
{
"type": "static",
"value": "<string>"
}
]
}
],
"conditionGroups": {},
"componentGroups": {},
"editorSettings": {
"canvasBackground": {
"r": 123,
"g": 123,
"b": 123,
"a": 123
},
"layoutGuides": [
{
"id": "<string>",
"name": "<string>",
"visible": true,
"color": {
"r": 123,
"g": 123,
"b": 123,
"a": 123
},
"type": "grid",
"size": 123
}
]
}
},
"previewUrl": "<string>",
"metadata": {}
}
],
"options": {
"compression": true,
"compressionThreshold": 123
},
"description": "<string>"
},
"code": 123
}{
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"status": "fail",
"code": 123,
"message": "<string>",
"data": {
"id": "<string>"
},
"error_code": 123
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Pattern:
^[0-9a-fA-F]{24}$Query Parameters
Available options:
draft, live, inactive Was this page helpful?
⌘I
Get a content
